Page MenuHomePhabricator

Unify k8s roles between prod and tools
Closed, DeclinedPublic

Description

Currently tools isn't using any of the profiles. It should.

Event Timeline

Restricted Application added a project: Cloud-Services. · View Herald TranscriptFeb 17 2017, 9:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 338429 had a related patch set uploaded (by Yuvipanda):
tools: Allow setting up k8s master without tools star cert

https://gerrit.wikimedia.org/r/338429

Change 338429 merged by Yuvipanda:
tools: Allow setting up k8s master without tools star cert

https://gerrit.wikimedia.org/r/338429

scfc triaged this task as Medium priority.Feb 18 2017, 2:43 PM
scfc moved this task from Triage to Backlog on the Toolforge board.

Change 343708 merged by Yuvipanda:
[operations/puppet] tools: Use profile::kubernetes::node for worker role

https://gerrit.wikimedia.org/r/343708

Change 343787 merged by Yuvipanda:
[operations/puppet] k8s: Make kubernetes master profile flexible enough for tools use

https://gerrit.wikimedia.org/r/343787

Change 343790 merged by Yuvipanda:
[operations/puppet] tools: Use k8s master profile in role

https://gerrit.wikimedia.org/r/343790

bd808 edited projects, added Kubernetes; removed Cloud-Services.Jul 28 2017, 11:01 PM
bd808 closed this task as Declined.Aug 8 2019, 3:21 AM
bd808 added a subscriber: bd808.